#include <bits/stdc++.h>
using namespace std;
long long t, n, m, k, a[1005];
int main() {
    cin >> t;
    for(int i=1; i<=t; i++) {
        cin >> n >> m >> k;

        for(int i=1; i<=k; i++) {
            a[i]=n/k;
            if(i<=n%k) {
                a[i]++;
            }
        }
        for(int i=1; i<=k; i++) {
            n-=a[i]*(a[i]+1)/2;
            if(n<=0) {
                cout << "Nie" << endl;
                continue;
            }
        }
        if(n>0) {
            cout << "Tak" << endl;
        }
    }
    return 0;
}